Summary:   A set of GNU utilities commonly used in shell scripts.
Name:      sh-utils
Version:   1.16k
Release:   1
URL:       http://www.gnu.org/software/shellutils/shellutils.html
Source0:   ftp://alpha.gnu.org/gnu/fetish/%{name}-%{version}.tar.gz
Source1:   su.pamd
Patch0:    sh-utils-1.16-pam.patch
Patch1:    sh-utils-1.16-paths.patch
Copyright: GPL
Group:     System Environment/Shells
Requires:  pam >= 0.64
Prereq:    /sbin/install-info
BuildRoot: /tmp/%{name}-%{version}-root

%description
The GNU shell utilities are a set of useful system utilities which
are often used in shell scripts.  The sh-utils package includes
basename (to remove the path prefix from a specified pathname),
chroot (to change the root directory), date (to print/set the
system time and date), dirname (to remove the last level or the
filename from a given path), echo (to print a line of text), env
(to display/modify the environment), expr (to evaluate expressions),
factor (to print prime factors), false (to return an unsuccessful
exit status), groups (to print the groups a specified user is a
member of), id (to print the real/effective uid/gid), logname (to
print the current login name), nice (to modify a scheduling priority),
nohup (to allow a command to continue running after logging out),
pathchk (to check a file name's portability), printenv (to print
environment variables), printf (to format and print data), pwd (to
print the current directory), seq (to print numeric sequences),
sleep (to suspend execution for a specified time), stty (to
print/change terminal settings), su (to become another user or the
superuser), tee (to send output to multiple files), test (to
evaluate an expression), true (to return a successful exit status),
tty (to print the terminal name), uname (to print system information),
users (to print current users' names), who (to print a list of the
users who are currently logged in), whoami (to print the effective
user id), and yes (to print a string indefinitely).

%prep
%setup -q

%patch0 -p1
%patch1 -p1

%build
CFLAGS="$RPM_OPT_FLAGS -DUSE_PAM" ac_cv_search_crypt=no ./configure --prefix=/usr
make PAMLIBS="-ldl -lpam -lpam_misc"

%install
rm -rf $RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT/{bin,etc/pam.d,usr/sbin}

make prefix=$RPM_BUILD_ROOT/usr install-strip

for i in basename date echo false nice pwd sleep stty su true uname ; do
    install -m755 $RPM_BUILD_ROOT/usr/bin/$i $RPM_BUILD_ROOT/bin/$i
    rm -f $RPM_BUILD_ROOT/usr/bin/$i
done

install -m755 $RPM_BUILD_ROOT/usr/bin/chroot $RPM_BUILD_ROOT/usr/sbin
rm -f $RPM_BUILD_ROOT/usr/bin/chroot

rm -f $RPM_BUILD_ROOT/usr/bin/{hostname,uptime} $RPM_BUILD_ROOT/usr/man/man1/{hostname,uptime}.1

rm -f $RPM_BUILD_ROOT/usr/bin/[
ln -sf test $RPM_BUILD_ROOT/usr/bin/[

gzip -9nf $RPM_BUILD_ROOT/usr/info/sh-utils.info

install -m644 %{SOURCE1} $RPM_BUILD_ROOT/etc/pam.d/su

%post
/sbin/install-info /usr/info/sh-utils.info.gz /usr/info/dir

%preun
if [ $1 = 0 ]; then
    /sbin/install-info --delete /usr/info/sh-utils.info.gz /usr/info/dir
fi

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc NEWS README
%config /etc/pam.d/su
/bin/basename
/bin/date
/bin/echo
/bin/false
/bin/nice
/bin/pwd
/bin/sleep
/bin/stty
%attr(4755,root,root) /bin/su
/bin/true
/bin/uname
/usr/sbin/chroot
/usr/bin/*
%attr(-,root,man) /usr/man/man1/*
/usr/info/sh-utils.info.gz

%changelog
* Mon May 24 1999 Arne Coucheron <arneco@online.no>
  [1.16k-1]

* Fri May 21 1999 Arne Coucheron <arneco@online.no>
  [1.16i-1]
- using name and version macros
- added URL tag
- changed Source URL
- using install-strip when doing make install
- several other changes

* Tue Apr 13 1999 Michael K. Johnson <johnsonm@redhat.com>
- su.pamd now calls pam_xauth

* Mon Apr 12 1999 Michael K. Johnson <johnsonm@redhat.com>
- merge pam patches
- wait until in child process to drop priviledges as we need
  euid != ruid during pam_open_session and pam_close_session

* Thu Apr 01 1999 Erik Troan <ewt@redhat.com>
- make sure standard in is a tty so we can't feed it from a pipe

* Wed Mar 31 1999 Erik Troan <ewt@redhat.com>
- don't trust stdin for su (bug 1274)

* Fri Mar 26 1999 Michael Maher <mike@redhat.com>
- added stty patch, fixed bug #997

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 16)

* Fri Dec 18 1998 Cristian Gafton <gafton@redhat.com>
- build against glibc 2.1

* Mon Jun  8 1998 Michal Jaegermann <michal@harddata.com>
- fixed reversed test for when to allocate in who.c and an incorrect
  use of xrealloc.

* Thu Apr 30 1998 Donnie Barnes <djb@redhat.com>
- moved /usr/bin/nice to /bin/nice

* Fri Apr 24 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Sat Apr 11 1998 Cristian Gafton <gafton@redhat.com>
- manhattan rebuild

* Wed Oct 22 1997 Michael K. Johnson <johnsonm@redhat.com>
- added minor patch for glibc 2.1

* Wed Oct 21 1997 Cristian Gafton <gafton@redhat.com>
- fixed the URLs in spec file
- cleaned up the spec file

* Thu Oct 02 1997 Michael K. Johnson <johnsonm@redhat.com>
- BuildRoot
- New pam standard.

* Sun Sep 14 1997 Erik Troan <ewt@redhat.com>
- uses install-info

* Mon Jun 02 1997 Erik Troan <ewt@redhat.com>
- built against glibc

* Fri Apr 18 1997 Michael K. Johnson <johnsonm@redhat.com>
- Fixed the sense of the user and root default paths.

* Mon Apr 14 1997 Erik Troan <ewt@redhat.com>
- Fixed getutent patch to define UTMP_READ_INCR
- Modified su.c to define default paths w/o regard to other header files or
  -D style definitions

* Wed Apr 02 1997 Erik Troan <ewt@redhat.com>
- Updated getutent patch for 1.16
- Added mktime patch for 64bit time_t

* Tue Mar 25 1997 Michael K. Johnson <johnsonm@redhat.com>
- DEFPATH handling moved from ...path.patch to _PATH_DEFPATH*

* Mon Mar 03 1997 Michael K. Johnson <johnsonm@redhat.com>
- Moved from pam.conf to pam.d